## brutalchess 0.0.20060314cvs

=== Makefile ===
CXX = g++
CXXFLAGS = -g -O2 `sdl-config --cflags` `freetype-config --cflags`
LIBS = -lGL -lGLU -lSDL_image `sdl-config --libs` `freetype-config --libs`

ifeq (Darwin,$(shell uname))
	LIBPATH += -L"/System/Library/Frameworks/OpenGL.framework/Libraries"
	FRAMEWORK = -framework GLUT
	FRAMEWORK += -framework OpenGL
	LDFLAGS += $(FRAMEWORK)
endif

all: brutalchess brutalchessconsole

objview.o:	objview.cpp glhead.h objfile.h
	$(CXX) $(CXXFLAGS) -c objview.cpp -o $@
	
piecedemo.o:	piecedemo.cpp glhead.h objfile.h
	$(CXX) $(CXXFLAGS) -c piecedemo.cpp -o $@
	
vector.o:	vector.cpp vector.h glhead.h
	$(CXX) $(CXXFLAGS) -c vector.cpp -o $@
	
objfile.o:	objfile.cpp objfile.h vector.h glhead.h
	$(CXX) $(CXXFLAGS) -c objfile.cpp -o $@

board.o:	board.cpp board.h boardmove.h chessplayer.h
	$(CXX) $(CXXFLAGS) -c board.cpp -o $@

boardmove.o:	boardmove.cpp boardmove.h
	$(CXX) $(CXXFLAGS) -c boardmove.cpp -o $@

chessplayer.o:	chessplayer.cpp chessplayer.h board.h boardmove.h
	$(CXX) $(CXXFLAGS) -c chessplayer.cpp -o $@

alphabetaplayer.o:	alphabetaplayer.cpp alphabetaplayer.h board.h chessplayer.h\
					boardmove.h
	$(CXX) $(CXXFLAGS) -c alphabetaplayer.cpp -o $@

humanplayer.o:	humanplayer.cpp humanplayer.h board.h chessplayer.h boardmove.h
	$(CXX) $(CXXFLAGS) -c humanplayer.cpp -o $@
	
randomplayer.o:	randomplayer.cpp randomplayer.h board.h chessplayer.h \
				boardmove.h
	$(CXX) $(CXXFLAGS) -c randomplayer.cpp -o $@

fontloader.o:	fontloader.h fontloader.cpp glhead.h
	$(CXX) $(CXXFLAGS) -c fontloader.cpp -o $@

console.o:	console.cpp console.h glhead.h fontloader.h timer.h
	$(CXX) $(CXXFLAGS) -c console.cpp -o $@
	
timer.o:	timer.cpp timer.h 
	$(CXX) $(CXXFLAGS) -c timer.cpp -o $@

timerchain.o:	timerchain.cpp timerchain.h timer.h
	$(CXX) $(CXXFLAGS) -c timerchain.cpp -o $@
	
textureloader.o:	textureloader.cpp textureloader.h glhead.h
	$(CXX) $(CXXFLAGS) -c textureloader.cpp -o $@
	
movelog.o:	movelog.cpp movelog.h board.h
	$(CXX) $(CXXFLAGS) -c movelog.cpp -o $@

brutalchessconsole.o:	brutalchessconsole.cpp chessplayer.h board.h boardmove.h
	$(CXX) $(CXXFLAGS) -c brutalchessconsole.cpp -o $@

brutalchess.o:	brutalchess.cpp glhead.h objfile.h board.h chessplayer.h \
				fontloader.h console.h timer.h timerchain.h \
				movelog.h textureloader.h chessplayer.h alphabetaplayer.h \
				humanplayer.h randomplayer.h
	$(CXX) $(CXXFLAGS) -c brutalchess.cpp -o $@

brutalchess:	brutalchess.o objfile.o vector.o board.o boardmove.o \
				chessplayer.o fontloader.o console.o timer.o \
				timerchain.o movelog.o textureloader.o alphabetaplayer.o \
				humanplayer.o randomplayer.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBPATH) $(LIBS) brutalchess.o objfile.o vector.o board.o boardmove.o chessplayer.o fontloader.o console.o timer.o timerchain.o movelog.o textureloader.o alphabetaplayer.o humanplayer.o randomplayer.o -o $@
	
brutalchessconsole:	brutalchessconsole.o board.o boardmove.o chessplayer.o \
					humanplayer.o alphabetaplayer.o randomplayer.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBPATH) $(LIBS) brutalchessconsole.o board.o boardmove.o chessplayer.o humanplayer.o alphabetaplayer.o randomplayer.o -o $@

objview:	objview.o vector.o objfile.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBPATH) $(LIBS) objview.o vector.o objfile.o -o $@
	
piecedemo:	piecedemo.o vector.o objfile.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBPATH) $(LIBS) piecedemo.o vector.o objfile.o -o $@
	
clean:
	rm -f *.o objview piecedemo brutalchess brutalchessconsole

## brutalchess 0.5.2%2Bdfsg

=== debian/control ===
Source: brutalchess
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bddebian@comcast.net>, Vincent Legout <vlegout@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
 libsdl-image1.2-dev, libfreetype6-dev, libxmu-dev, libxi-dev, libgl1-mesa-dev,
 sharutils
Standards-Version: 3.9.5
Homepage: http://brutalchess.sf.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/brutalchess/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/brutalchess/

Package: brutalchess
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dejavu
Description: 3D chess game with reflection of the chessmen
 Brutal Chess features full 3D graphics, an advanced particle engine, and
 several different levels of intelligent AI, inspired by the once popular
 "Battle Chess" released by Interplay circa 1988.

## brutalchess 0.5.2+dfsg

=== debian/changelog ===
brutalchess (0.5.2+dfsg-8build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:35:22 +0100

brutalchess (0.5.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Improve find delete command in debina/rules.
  * Remove deprecated menu file.
  * Install brutalchess.png into 32x32 hicolor icon directory.
  * Move the package to salsa.debian.org.
  * Use pkg-config instead of freetype-config.
    Thanks to Reiner Herrmann for the patch. (Closes: #892337)

 -- Markus Koschany <apo@debian.org>  Sat, 20 Oct 2018 18:57:34 +0200

brutalchess (0.5.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Drop FreeType.patch. Apparently src:freetype has reverted the changes from
    earlier versions and the path to freetype.h had to be adjusted again.
    Thanks to Chris West for the report. (Closes: #808488)

 -- Markus Koschany <apo@debian.org>  Mon, 21 Dec 2015 00:43:32 +0100

brutalchess (0.5.2+dfsg-6) unstable; urgency=medium

  * Vcs-Browser: Use https.
  * Update 05_use_our_fonts.diff: Use the correct path to DejaVuSans.ttf.
    Thanks to Chris Leick for the report. See also #791671.
  * Declare compliance with Debian Policy 3.9.6.
  * wrap-and-sort -sa.

 -- Markus Koschany <apo@debian.org>  Fri, 30 Oct 2015 17:41:17 +0100

brutalchess (0.5.2+dfsg-5) unstable; urgency=medium

  [ Markus Koschany ]
  * Team upload.
  * Add FreeType.patch. Update fontloader.h to detect the latest version of
    FreeType2 and make the software compile again. (Closes: #732235)
  * Bump Standards-Version to 3.9.5, no changes.
  * Add keywords to desktop file.
  * debian/control: Depend on fonts-dejavu instead of ttf-dejavu.
  * Add disable-quake-pieces.patch. The -p quake option is useless and causes a
    segmentation fault since upstream never shipped the quake models because of
    copyright concerns. (Closes: #732227)

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

 -- Markus Koschany <apo@gambaru.de>  Wed, 01 Jan 2014 18:40:01 +0100

brutalchess (0.5.2+dfsg-4) unstable; urgency=low

  [ Iain Lane ]
  * debian/watch: Mangle version correctly

  [ Vincent Legout ]
  * Fix ftbfs with gcc-4.7, add patches/06_gcc-4.7.patch (Closes: #667121)
  * debhelper 9 (debian/compat, debhelper Build-Depends)
  * debian/control:
    - Drop quilt, automake1.9 and libtool in Build-Depends. Add dh-autoreconf.
    - Add myself as uploader
    - Fix Vcs-Browser field
    - Update short and long descriptions
    - Standards-Version 3.9.3
  * debian/dirs: Drop, not needed.
  * Use 3.0 (quilt) source format (Add debian/source/format).
  * debian/rules: Use dh()
    - Enable hardening build flags
    - Add debian/brutalchess.install
  * debian/copyright: Explicitly refer to GPL-2

 -- Vincent Legout <vlegout@debian.org>  Sun, 15 Apr 2012 11:29:50 +0200

brutalchess (0.5.2+dfsg-3) unstable; urgency=low

  [ Barry deFreese ]
  * New maintainer. (Closes: #461885).
    + Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
  * Add watch file.
  * Add VCS tags.
  * Remove deprecated encoding tag from desktop file.
  * Move copying in config.{sub,guess} to configure target.
    + Remove them on clean. (Closes: #482724).
  * Replace xlibmesa-gl-dev build-dep with libgl1-mesa-dev.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bddebian@comcast.net>  Tue, 17 Jun 2008 15:07:23 -0400

brutalchess (0.5.2+dfsg-2) unstable; urgency=low

  [Fathi Boudra]
  * Add patch to load DejavVu fonts and fix datadir. (Closes: #468925)
  * Drop ttf-bitstream-vera dependency. (Closes: #461262)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 16 Mar 2008 10:40:33 +0100

brutalchess (0.5.2+dfsg-1) unstable; urgency=low

  * New upstream version. (Closes: #427341)

  [Fathi Boudra]
  * Add alternative dependency on ttf-dejavu. (Closes: #439236)
  * Add patch to fix ftbfs with gcc-4.2. (Closes: #409486)
  * Add patch to fix ftbfs with gcc-4.3. (Closes: #413483)
  * Merge desktop file from Ubuntu.
  * Use quilt patch system.
  * Add quilt, automake1.9, libtool, libxmu-dev and libxi-dev build
    dependencies.
  * Use Homepage field.
  * Bump Standard-Version to 3.7.3.
  * Build with --no-undefined and --as-needed linker flags.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 12 Jan 2008 11:38:32 +0100

brutalchess (0.5+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Rebuilt the tarball (non-free fonts).

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 25 Dec 2006 18:56:01 +0100

brutalchess (0.0.20060314cvs-2) unstable; urgency=low

  * Add images with alpha (edited in Gimp). (Closes: #360523)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri,  7 Apr 2006 10:41:25 +0200

brutalchess (0.0.20060314cvs-1) unstable; urgency=low

  * Initial release. (Closes: #356991)
    - The source package includes one Bitstrem Vera font.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 14 Mar 2006 23:03:22 +0100

=== debian/control ===
Source: brutalchess
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bddebian@comcast.net>,
 Vincent Legout <vlegout@debian.org>
Build-Depends:
 debhelper (>= 11),
 libfreetype6-dev,
 libgl1-mesa-dev,
 libsdl-image1.2-dev,
 libxi-dev,
 libxmu-dev,
 pkg-config,
 sharutils
Standards-Version: 4.2.1
Homepage: http://brutalchess.sf.net/
Vcs-Git: https://salsa.debian.org/games-team/brutalchess.git
Vcs-Browser: https://salsa.debian.org/games-team/brutalchess

Package: brutalchess
Architecture: any
Depends:
 fonts-dejavu,
 ${misc:Depends},
 ${shlibs:Depends}
Description: 3D chess game with reflection of the chessmen
 Brutal Chess features full 3D graphics, an advanced particle engine, and
 several different levels of intelligent AI, inspired by the once popular
 "Battle Chess" released by Interplay circa 1988.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --bindir=/usr/games --datadir=/usr/share/games

override_dh_auto_install:
	dh_auto_install
	uudecode debian/black.png.in > $(CURDIR)/debian/brutalchess/usr/share/games/brutalchess/art/marblehugeblack.png
	uudecode debian/white.png.in > $(CURDIR)/debian/brutalchess/usr/share/games/brutalchess/art/marblehugewhite.png
	find . -name "*view" -delete
	rm -rf $(CURDIR)/debian/brutalchess/usr/lib

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://sf.net/brutalchess/brutalchess-alpha-([\d.]+)-src.tar.gz
